# Steps to add a data product and query it

## Create Data Product

```json

```

## Store this object inside Wallet

```shell

```

## Forge a VC

Port forward with dufour-storage VC Issuer

```shell

```

Result item

```json

```

## Store this VC inside Wallet

```shell

```

## Index this object inside provider-catalog

```shell

```

